New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Setup

Check if setup is required

GET
/api/v1/setup/status

Check whether first-run setup is needed (missing backend, Python upgrade, etc.).

Response Body

Successful Response

application/json
  1. response
required*Required

Whether first-run setup is required

reason?|

Why setup is needed (first_run, pytorch_missing, python_version_changed, mlx_missing)

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/setup/status'
Example Response200
{  "required": true,  "reason": "string"}